### Function

# St ShadowHelper new

#### Declaration [src]

    StShadowHelper*
    st_shadow_helper_new (
      StShadow* shadow
    )

#### Description [src]

Builds a `StShadowHelper` that will build a drop shadow using `source` as the mask.

#### Parameters

`shadow`

  Type: `StShadow`

  A `StShadow` representing the shadow properties.

  The data is owned by the caller of the function.

#### Return value

Type: `StShadowHelper`

A new `StShadowHelper`.

The caller of the function takes ownership of the data, and is responsible for freeing it.